Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.pulsing
Class PulsingPostingsReader.PulsingEnumAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.codecs.pulsing.PulsingPostingsReader.PulsingEnumAttributeImpl

All Implemented Interfaces:
  Cloneable, PulsingPostingsReader.PulsingEnumAttribute, Attribute

Enclosing class:
  PulsingPostingsReader

    public static final class PulsingPostingsReader.PulsingEnumAttributeImpl

extends AttributeImpl
implements PulsingPostingsReader.PulsingEnumAttribute

Implementation of `PulsingPostingsReader.PulsingEnumAttribute` for reuse of wrapped postings readers underneath pulsing.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Constructor Summary
`PulsingPostingsReader.PulsingEnumAttributeImpl()`

Method Summary
`void` | `clear()`
`void` | `copyTo(AttributeImpl target)`
`Map<PulsingPostingsReader,DocsEnum>` | `enums()`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PulsingPostingsReader.PulsingEnumAttributeImpl

    public PulsingPostingsReader.PulsingEnumAttributeImpl()

Method Detail

### enums

    public Map<PulsingPostingsReader,DocsEnum> enums()

  Specified by:
    `enums` in interface `PulsingPostingsReader.PulsingEnumAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Specified by:
    `copyTo` in class `AttributeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.